# -*- coding: utf-8 -*-
from openerp import http
import logging

LOGGER = logging.getLogger(__name__)

class PrintersController(http.Controller):

    '''
    '''
    def make_info_log(self, log):
        LOGGER.info(log)

    '''
        Printers api
    '''
    @http.route('/printers_manager/api', auth='user', methods=['GET'], cors='*')
    def init_sale(self, **kw):
        self.make_info_log('Sending JSON response')
    
        return self.make_gzip_response({
            'date': self.get_server_date(),
            'user': self.get_user(),
            'currencies': self.get_currencies(),
            'journals': self.get_journals(),
            'customers': self.get_customers(),
            'products': self.get_products(),
            'paymentTerms': self.get_payment_terms()
        })

